package com.yd.dal.service.product.impl;

import com.yd.dal.entity.product.ProductPlan;
import com.yd.dal.mapper.product.ProductPlanMapper;
import com.yd.dal.service.product.ProductPlanDALService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("productPlanDALService")
public class ProductPlanDALServiceImpl implements ProductPlanDALService {
    @Autowired
    private ProductPlanMapper productPlanMapper;
    @Override
    public List<ProductPlan> findAll() {
        return productPlanMapper.findAll();
    }

    @Override
    public ProductPlan findById(Long planId) {
        return productPlanMapper.selectByPrimaryKey(planId);
    }
}
